cascading.util

## Class SortedListMultiMap<K,V>

- java.lang.Object
- - cascading.util.MultiMap<java.util.List<V>,K,V>
  - - cascading.util.SortedListMultiMap<K,V>

All Implemented Interfaces:
  java.io.Serializable

    public class SortedListMultiMap<K,V>
    extends MultiMap<java.util.List<V>,K,V>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SortedListMultiMap()`
`SortedListMultiMap(java.util.Comparator<K> comparator, int initialListSize)`
`SortedListMultiMap(int initialListSize)`

### Method Summary

Methods
`protected java.util.List<V>` `createCollection()`
`protected java.util.Map<K,java.util.List<V>>` `createMap()`
`protected java.util.List<V>` `emptyCollection()`
`java.util.Map.Entry<K,java.util.List<V>>` `firstEntry()`
`V` `get(K key, int pos)`
`java.util.Map.Entry<K,java.util.List<V>>` `pollFirstEntry()`
`V` `set(K key, int pos, V value)`

### Methods inherited from class cascading.util.MultiMap

`addAll, addAll, addAll, containsKey, equals, getAllValues, getEntries, getKeys, getKeysFor, getMap, getMultiValues, getValues, getValues, hadKey, hashCode, hasKey, isEmpty, put, remove, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SortedListMultiMap

    public SortedListMultiMap()

#### SortedListMultiMap

    public SortedListMultiMap(int initialListSize)

#### SortedListMultiMap

    public SortedListMultiMap(java.util.Comparator<K> comparator,
                      int initialListSize)

### Method Detail

#### get

    public V get(K key,
        int pos)

#### set

    public V set(K key,
        int pos,
        V value)

#### createMap

    protected java.util.Map<K,java.util.List<V>> createMap()

Specified by:
  `createMap` in class `MultiMap<java.util.List<V>,K,V>`

#### createCollection

    protected java.util.List<V> createCollection()

Specified by:
  `createCollection` in class `MultiMap<java.util.List<V>,K,V>`

#### emptyCollection

    protected java.util.List<V> emptyCollection()

Specified by:
  `emptyCollection` in class `MultiMap<java.util.List<V>,K,V>`

#### firstEntry

    public java.util.Map.Entry<K,java.util.List<V>> firstEntry()

#### pollFirstEntry

    public java.util.Map.Entry<K,java.util.List<V>> pollFirstEntry()